Package org.apache.sling.scripting.sightly.impl.utils

# Class Patterns

java.lang.Object
org.apache.sling.scripting.sightly.impl.utils.Patterns

public final class Patterns extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Pattern`
`JAVA_CLASS_NAME`
Pattern matching Java class names (simple or fully qualified), according to The Java® Language Specification, 7th edition.
`static final Pattern`
`JAVA_PACKAGE_DECLARATION`
Pattern matching valid Java package declarations, according to The Java® Language Specification, 7th edition.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### JAVA_PACKAGE_DECLARATION

public static final Pattern JAVA_PACKAGE_DECLARATION
Pattern matching valid Java package declarations, according to The Java® Language Specification, 7th edition.

### JAVA_CLASS_NAME

public static final Pattern JAVA_CLASS_NAME
Pattern matching Java class names (simple or fully qualified), according to The Java® Language Specification, 7th edition.